How to do to rename Oscam in Openatv 6.4?

ettore88

Registered
Messages
338
Hi guys.Just a question.I d like to rename my oscam on openATV 6.4. I have tried several times but unfortunately it does not work.For the installation of the oscam I used the softcam of openATV.
In which path should I rename the oscam?etc/init.d?Example:I want to rename it from oscam to oscam 11689 Hw can i fix it?Time ago it was easy:etc / oscam.emu The first line had to be changed(emu name)
Tnx in advance:)
 

WaRp

(∩`-´)⊃━☆゚.*・。゚
Staff member
Administrator
Messages
29,632
if you open the init.d folder you will find the cams
softcam oscam-emu
softcam ncam
..........etc
open whichever file you want to edit and in the position "Starting $ DESC $: enter the name you want and save

e.g

from
version )
echo "Starting $ DESC $ "
::
info)
echo "Starting $ DESC $ "
to
version )
echo "OScam 11689 "
::
info)
echo "OScam 11689 "

a remark, every time you update the emu with a new version the same procedure must be done again
 

ettore88

Registered
Messages
338
if you open the init.d folder you will find the cams
softcam oscam-emu
softcam ncam
..........etc
open whichever file you want to edit and in the position "Starting $ DESC $: enter the name you want and save

e.g

from

to


a remark, every time you update the emu with a new version the same procedure must be done again

Many tnx m8.I tried, but nothing to do...:confused:This is the original script

Code:
#!/bin/sh
### BEGIN INIT INFO
# Provides:          softcam
# Required-Start:    $local_fs
# Required-Stop:     
# Should-Start:      $time $remote_fs cardserver
# Should-Stop:     
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: oscam
# Description:       oscam SoftCAM, card reader and server.
### END INIT INFO

readlink $0 > /dev/null 2>&1 && CAM=$(basename $(readlink $0) | sed s#^softcam\.##)

[ -z "$CAM" ] && CAM=$(basename $0 | sed s#^softcam\.##)

if [ -z "$CAM" -o "$CAM" == "softcam" ]; then
    unset CAM
    for TESTCAM in OSCam_11.685-r798
      do
        [ -x /usr/bin/$TESTCAM ] && CAM=$TESTCAM && break
    done
fi

[ -n "$CAM" ] || exit 1
[ -x /usr/bin/$CAM ] || exit 1

PIDFILE=/var/tmp/${CAM}.pid
DESC="Softcam service $CAM"
DAEMON=/usr/bin/$CAM

case "$1" in
    start)
        if [ -e $PIDFILE ]; then
            PIDDIR=/proc/$(cat $PIDFILE)
            if [ -d ${PIDDIR} ] && [[ $(readlink -f ${PIDDIR}/exe) == $DAEMON ]]; then
                echo "$DESC already started; not starting."
                exit 1
            else
                rm -f $PIDFILE
            fi
        fi
        echo -n "Starting $DESC: "
        ulimit -s 1024
        $DAEMON --config-dir /etc/tuxbox/config --daemon --pidfile $PIDFILE --restart 2 --utf8 2 | grep -v "UTF-8 mode"
        sleep 0.5
        RETVAL=1
        [ -e $PIDFILE ] && RETVAL=0
        if [ "$RETVAL" -eq "0" ]; then
            echo "OK"
        else
            echo "FAILED"
        fi
        exit $RETVAL
        ;;
    stop)
        echo -n "Stopping $DESC: "
        kill `cat $PIDFILE 2> /dev/null` 2> /dev/null
        RETVAL=$?
        if [ "$RETVAL" -eq "0" ]; then
            echo "OK"
        else
            echo "FAILED"
        fi
        sleep 1
        killall $CAM 2> /dev/null
        exit $RETVAL
        ;;
    restart|reload)
        $0 stop
        sleep 1
        $0 start
        exit $?
        ;;
    version)
        $CAM -V | grep 'Version\|IPv6' | sed 's/Version:[ ]*//' | sed 's/IPv6.*yes/with IPv6/g' | sed 's/IPv6.*no/IPv4-only/g' | sed ':a;N;$!ba;s/\n/ /g'
        ;;
    info)
        $CAM -V | grep 'Version\|IPv6' | sed 's/Version:[ ]*//' | sed 's/IPv6.*yes/with IPv6/g' | sed 's/IPv6.*no/IPv4-only/g' | sed ':a;N;$!ba;s/\n/ /g'
        ;;
    *)
        echo "Usage: $0 start|stop|restart"
        exit 1
        ;;
esac
exit 0

This is original name of oscam
63e2de6195c0e1ee99abe0bb13bb2b51.jpg


Hw can i fix it?Tnx again
 
Last edited:

WaRp

(∩`-´)⊃━☆゚.*・。゚
Staff member
Administrator
Messages
29,632
οκ..the file must have this name

Screenshot-1.png


now..from what you uploaded
line 39 and line 53 there you do the renaming

Screenshot-2.png


Screenshot-3.png
 

ettore88

Registered
Messages
338
Many tnx m8.That's what i did.Unfortunately it doesn't work:(

Code:
#!/bin/sh
### BEGIN INIT INFO
# Provides:          softcam
# Required-Start:    $local_fs
# Required-Stop:     
# Should-Start:      $time $remote_fs cardserver
# Should-Stop:     
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: oscam
# Description:       oscam SoftCAM, card reader and server.
### END INIT INFO

readlink $0 > /dev/null 2>&1 && CAM=$(basename $(readlink $0) | sed s#^softcam\.##)

[ -z "$CAM" ] && CAM=$(basename $0 | sed s#^softcam\.##)

if [ -z "$CAM" -o "$CAM" == "softcam" ]; then
    unset CAM
    for TESTCAM in OSCam_11.685-r798
      do
        [ -x /usr/bin/$TESTCAM ] && CAM=$TESTCAM && break
    done
fi

[ -n "$CAM" ] || exit 1
[ -x /usr/bin/$CAM ] || exit 1

PIDFILE=/var/tmp/${CAM}.pid
DESC="Softcam service $CAM"
DAEMON=/usr/bin/$CAM

case "$1" in
    start)
        if [ -e $PIDFILE ]; then
            PIDDIR=/proc/$(cat $PIDFILE)
            if [ -d ${PIDDIR} ] && [[ $(readlink -f ${PIDDIR}/exe) == $DAEMON ]]; then
                echo "$DESC already started; not starting."
                exit 1
            else
                rm -f $PIDFILE
            fi
        fi
        echo -n "OScam 11689 : "
        ulimit -s 1024
        $DAEMON --config-dir /etc/tuxbox/config --daemon --pidfile $PIDFILE --restart 2 --utf8 2 | grep -v "UTF-8 mode"
        sleep 0.5
        RETVAL=1
        [ -e $PIDFILE ] && RETVAL=0
        if [ "$RETVAL" -eq "0" ]; then
            echo "OK"
        else
            echo "FAILED"
        fi
        exit $RETVAL
        ;;
    stop)
        echo -n "OScam 11689 : "
        kill `cat $PIDFILE 2> /dev/null` 2> /dev/null
        RETVAL=$?
        if [ "$RETVAL" -eq "0" ]; then
            echo "OK"
        else
            echo "FAILED"
        fi
        sleep 1
        killall $CAM 2> /dev/null
        exit $RETVAL
        ;;
    restart|reload)
        $0 stop
        sleep 1
        $0 start
        exit $?
        ;;
    version)
        $CAM -V | grep 'Version\|IPv6' | sed 's/Version:[ ]*//' | sed 's/IPv6.*yes/with IPv6/g' | sed 's/IPv6.*no/IPv4-only/g' | sed ':a;N;$!ba;s/\n/ /g'
        ;;
    info)
        $CAM -V | grep 'Version\|IPv6' | sed 's/Version:[ ]*//' | sed 's/IPv6.*yes/with IPv6/g' | sed 's/IPv6.*no/IPv4-only/g' | sed ':a;N;$!ba;s/\n/ /g'
        ;;
    *)
        echo "Usage: $0 start|stop|restart"
        exit 1
        ;;
esac
exit 0
I put all the steps
0b744e2239043bd3f42eddfa04ab00b4.jpg

c62db5bee7427ccbb2fbc63f03561674.jpg
 
Last edited:

WaRp

(∩`-´)⊃━☆゚.*・。゚
Staff member
Administrator
Messages
29,632
.........For the installation of the oscam I used the softcam of openATV.

:confused: are you sure it's from the ATV feed?
audi06_19 and ATV as far as I know do not go together
I have an ATV 6.4 image with oscam from the feeds and with the procedure I gave you (as in many other users) I make the changes successfully
 
Top